Skip to main content

APIResponse

APIResponse class represents responses returned by APIRequestContext.get() and similar methods.


Methods

body

Added in: v1.16 apiResponse.body

Returns the buffer with response body.

Usage

APIResponse.body();

Returns


dispose

Added in: v1.16 apiResponse.dispose

Disposes the body of this response. If not called then the body will stay in memory until the context closes.

Usage

APIResponse.dispose();

Returns


headers

Added in: v1.16 apiResponse.headers

An object with all the response HTTP headers associated with this response.

Usage

APIResponse.headers();

Returns


headersArray

Added in: v1.16 apiResponse.headersArray

An array with all the response HTTP headers associated with this response. Header names are not lower-cased. Headers with multiple entries, such as Set-Cookie, appear in the array multiple times.

Usage

APIResponse.headersArray();

Returns

  • List<HttpHeader>#
    • name String

      Name of the header.

    • value String

      Value of the header.


ok

Added in: v1.16 apiResponse.ok

Contains a boolean stating whether the response was successful (status in the range 200-299) or not.

Usage

APIResponse.ok();

Returns


securityDetails

Added in: v1.61 apiResponse.securityDetails

Returns SSL and other security information. Resolves to null for non-HTTPS responses. For redirected requests, returns the information for the last request in the redirect chain.

Usage

APIResponse.securityDetails();

Returns

  • null | SecurityDetails#
    • issuer String (optional)

      Common Name component of the Issuer field. from the certificate. This should only be used for informational purposes. Optional.

    • protocol String (optional)

      The specific TLS protocol used. (e.g. TLS 1.3). Optional.

    • subjectName String (optional)

      Common Name component of the Subject field from the certificate. This should only be used for informational purposes. Optional.

    • validFrom double (optional)

      Unix timestamp (in seconds) specifying when this cert becomes valid. Optional.

    • validTo double (optional)

      Unix timestamp (in seconds) specifying when this cert becomes invalid. Optional.


serverAddr

Added in: v1.61 apiResponse.serverAddr

Returns the IP address and port of the server. Resolves to null if the server address is not available. For redirected requests, returns the information for the last request in the redirect chain.

Usage

APIResponse.serverAddr();

Returns

  • null | ServerAddr#
    • ipAddress String

      IPv4 or IPV6 address of the server.

    • port int


status

Added in: v1.16 apiResponse.status

Contains the status code of the response (e.g., 200 for a success).

Usage

APIResponse.status();

Returns


statusText

Added in: v1.16 apiResponse.statusText

Contains the status text of the response (e.g. usually an "OK" for a success).

Usage

APIResponse.statusText();

Returns


text

Added in: v1.16 apiResponse.text

Returns the text representation of response body.

Usage

APIResponse.text();

Returns


url

Added in: v1.16 apiResponse.url

Contains the URL of the response.

Usage

APIResponse.url();

Returns